> For the complete documentation index, see [llms.txt](https://developers.citrusad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.citrusad.com/partner/reference/retrievecategoryminbid.md).

# Retrieve minimum bid details for category

Retrieve individual minimum bid details and the overall campaign minimum bid for category placement type campaigns.

{% hint style="info" %}
Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view [this page](https://help.citrusad.com/retail-media-interface/partner/campaign-management-api/campaign/retrievecategoryminbid) in the new Partner APIs space of our documentation.
{% endhint %}

***

### description: "Retrieve individual minimum bid details and the overall campaign minimum bid for category placement type campaigns."

## Retrieve minimum bid details for category

## Retrieve minimum bid details for category

> Retrieve individual minimum bid details and the overall campaign minimum bid for category placement type campaigns.

```json
{"openapi":"3.0.0","info":{"title":"Citrus Campaign APIs","version":"v3"},"tags":[],"servers":[{"url":"https://campaign.<env>.citrusad.com"}],"security":[{"TokenSecurity":[]}],"components":{"securitySchemes":{"TokenSecurity":{"description":"For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"v3RetrieveCategoryMinBidRequest":{"properties":{"campaignType":{"$ref":"#/components/schemas/v3RetrieveCategoryMinBidRequestCampaignType"},"catalogIds":{"description":"Specifies the unique identifiers for the retailer's catalogs associated with the campaign. You can specify more than one catalog ID, separated by commas. Ensure that all specified catalog IDs meet the following criteria: - They are not empty and contain products. - They use the same currency (e.g., AUD or USD). - They belong to the same namespace.","items":{"type":"string"},"minItems":1,"type":"array"},"categories":{"description":"Specifies the categories for category placement type campaigns. You can specify up to 1000 categories.","items":{"type":"string"},"maxItems":1000,"minItems":1,"type":"array"},"namespace":{"description":"The unique identifier of the namespace.","type":"string"},"placementId":{"description":"The unique identifier of the campaign's placement.","type":"string"},"retailerTeamId":{"description":"The unique identifier for a retailer-managed team. As a retailer, you can retrieve minimum bid details of the supplier team by specifying the retailerTeamId. Ensure that API requests are authenticated with the retailer's bearer token.","type":"string"},"teamId":{"description":"Specifies the unique identifier for the team associated with the campaign.","type":"string"}},"required":["teamId","catalogIds","categories","namespace","placementId","campaignType"],"type":"object"},"v3RetrieveCategoryMinBidRequestCampaignType":{"enum":["CAMPAIGN_TYPE_DISPLAY","CAMPAIGN_TYPE_BANNER","CAMPAIGN_TYPE_BANNERX","CAMPAIGN_TYPE_WILDCARD"],"type":"string"},"v3RetrieveCategoryMinBidResponse":{"properties":{"campaignMinBid":{"$ref":"#/components/schemas/v3CampaignMinBid"},"resolvedMinBids":{"description":"List of minimum bid values determined through a hierarchical resolution process during the calculation of the min-bid for a campaign. The system sequentially evaluates each defined level of specificity, starting at the category level. If no value exists at this level, the system falls back to the catalog level. In the absence of a catalog-level bid, it further falls back to utilize the value defined at the namespace level. This structured approach ensures that the most specific and applicable bid is identified and applied.","items":{"$ref":"#/components/schemas/v3ResolvedCategoryMinBid"},"type":"array"}},"type":"object"},"v3CampaignMinBid":{"properties":{"minBid":{"description":"The final min-bid value for the campaign, which is the maximum value among all the resolved min-bid values.","format":"double","type":"number"}},"type":"object"},"v3ResolvedCategoryMinBid":{"properties":{"catalogId":{"description":"The catalog ID associated with the resolved bid.","type":"string"},"categories":{"description":"The category used for the resolved bid.","type":"string"},"minBid":{"description":"The minimum bid resolved at this level.","format":"double","type":"number"},"namespace":{"description":"The namespace in which the bid is resolved in.","type":"string"},"source":{"$ref":"#/components/schemas/v3MinBidSourceLevel"}},"type":"object"},"v3MinBidSourceLevel":{"enum":["MIN_BID_SOURCE_LEVEL_WILDCARD","MIN_BID_SOURCE_LEVEL_KEYWORD","MIN_BID_SOURCE_LEVEL_CATEGORY","MIN_BID_SOURCE_LEVEL_CATALOG","MIN_BID_SOURCE_LEVEL_NAMESPACE","MIN_BID_SOURCE_LEVEL_GLOBAL_DEFAULT","MIN_BID_SOURCE_LEVEL_PLACEMENT"],"title":"Always have 0 as the default","type":"string"},"rpcStatus":{"description":"The `Status` type defines a logical error model that is suitable for\ndifferent programming environments, including REST APIs and RPC APIs. It is\nused by [gRPC](https://github.com/grpc). Each `Status` message contains\nthree pieces of data: error code, error message, and error details.\n\nYou can find out more about this error model and how to work with it in the\n[API Design Guide](https://cloud.google.com/apis/design/errors).","properties":{"code":{"description":"The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].","format":"int32","type":"integer"},"details":{"description":"A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use.","items":{"$ref":"#/components/schemas/protobufAny"},"type":"array"},"message":{"description":"A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\n[google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.","type":"string"}},"type":"object"},"protobufAny":{"additionalProperties":{},"description":"`Any` contains an arbitrary serialized protocol buffer message along with a\nURL that describes the type of the serialized message.\n\nProtobuf library provides support to pack/unpack Any values in the form\nof utility functions or additional generated methods of the Any type.\n\nExample 1: Pack and unpack a message in C++.\n\n    Foo foo = ...;\n    Any any;\n    any.PackFrom(foo);\n    ...\n    if (any.UnpackTo(&foo)) {\n      ...\n    }\n\nExample 2: Pack and unpack a message in Java.\n\n    Foo foo = ...;\n    Any any = Any.pack(foo);\n    ...\n    if (any.is(Foo.class)) {\n      foo = any.unpack(Foo.class);\n    }\n    // or ...\n    if (any.isSameTypeAs(Foo.getDefaultInstance())) {\n      foo = any.unpack(Foo.getDefaultInstance());\n    }\n\n Example 3: Pack and unpack a message in Python.\n\n    foo = Foo(...)\n    any = Any()\n    any.Pack(foo)\n    ...\n    if any.Is(Foo.DESCRIPTOR):\n      any.Unpack(foo)\n      ...\n\n Example 4: Pack and unpack a message in Go\n\n     foo := &pb.Foo{...}\n     any, err := anypb.New(foo)\n     if err != nil {\n       ...\n     }\n     ...\n     foo := &pb.Foo{}\n     if err := any.UnmarshalTo(foo); err != nil {\n       ...\n     }\n\nThe pack methods provided by protobuf library will by default use\n'type.googleapis.com/full.type.name' as the type URL and the unpack\nmethods only use the fully qualified type name after the last '/'\nin the type URL, for example \"foo.bar.com/x/y.z\" will yield type\nname \"y.z\".\n\nJSON\n====\nThe JSON representation of an `Any` value uses the regular\nrepresentation of the deserialized, embedded message, with an\nadditional field `@type` which contains the type URL. Example:\n\n    package google.profile;\n    message Person {\n      string first_name = 1;\n      string last_name = 2;\n    }\n\n    {\n      \"@type\": \"type.googleapis.com/google.profile.Person\",\n      \"firstName\": <string>,\n      \"lastName\": <string>\n    }\n\nIf the embedded message type is well-known and has a custom JSON\nrepresentation, that representation will be embedded adding a field\n`value` which holds the custom JSON in addition to the `@type`\nfield. Example (for message [google.protobuf.Duration][]):\n\n    {\n      \"@type\": \"type.googleapis.com/google.protobuf.Duration\",\n      \"value\": \"1.212s\"\n    }","properties":{"@type":{"description":"A URL/resource name that uniquely identifies the type of the serialized\nprotocol buffer message. This string must contain at least\none \"/\" character. The last segment of the URL's path must represent\nthe fully qualified name of the type (as in\n`path/google.protobuf.Duration`). The name should be in a canonical form\n(e.g., leading \".\" is not accepted).\n\nIn practice, teams usually precompile into the binary all types that they\nexpect it to use in the context of Any. However, for URLs which use the\nscheme `http`, `https`, or no scheme, one can optionally set up a type\nserver that maps type URLs to message definitions as follows:\n\n* If no scheme is provided, `https` is assumed.\n* An HTTP GET on the URL must yield a [google.protobuf.Type][]\n  value in binary format, or produce an error.\n* Applications are allowed to cache lookup results based on the\n  URL, or have them precompiled into a binary to avoid any\n  lookup. Therefore, binary compatibility needs to be preserved\n  on changes to types. (Use versioned type names to manage\n  breaking changes.)\n\nNote: this functionality is not currently available in the official\nprotobuf release, and it is not used for type URLs beginning with\ntype.googleapis.com. As of May 2023, there are no widely used type server\nimplementations and no plans to implement one.\n\nSchemes other than `http`, `https` (or the empty scheme) might be\nused with implementation specific semantics.","type":"string"}},"type":"object"}}},"paths":{"/v3/min-bid/categories":{"post":{"description":"Retrieve individual minimum bid details and the overall campaign minimum bid for category placement type campaigns.","operationId":"retrieveCategoryMinBid","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/v3RetrieveCategoryMinBidRequest"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/v3RetrieveCategoryMinBidResponse"}}},"description":"Provides the minimum bid details for the listed category placement type campaigns."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}},"description":"There was a problem with input."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}},"description":"Login failed or token not valid."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}},"description":"Access denied due to insufficient permissions."},"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}},"description":"An unexpected error response."}},"summary":"Retrieve minimum bid details for category","tags":["CampaignMinbid"]}}}}
```
